Bug 803583 - RFE: ibus-setup Keyboard layout selection drop down list needs to be more user friendly
Summary: RFE: ibus-setup Keyboard layout selection drop down list needs to be more use...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-15 06:48 UTC by Ani Peter
Modified: 2016-08-01 01:31 UTC (History)
4 users (show)

Fixed In Version: ibus-1.5.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:51:49 UTC
Type: ---


Attachments (Terms of Use)
First drop down menu (133.98 KB, image/png)
2012-03-15 08:51 UTC, Ani Peter
no flags Details
Second drop down menu (141.69 KB, image/png)
2012-03-15 08:52 UTC, Ani Peter
no flags Details

Description Ani Peter 2012-03-15 06:48:38 UTC
Description of problem:
In Ibus preferences, go to the Input Method and select the option "Show all input methods", the drop down menu closes, and then need to click again on "Select an input method" to view those input methods under "Show all input methods" option.

Version-Release number of selected component (if applicable):
ibus-1.4.99.20120304-3.fc17

How reproducible:
Always

Steps to Reproduce:
1. Go to Ibus->Preferences and select "Input Method" tab.
2. Click on "Select an input method", you can find the "Show all input methods" option in the drop down menu, click on this option.
3. You can see the drop down list closes and need to click again on "Select an input method" to view lists under "Show all input methods" option.
  
Actual results:
Explained above.

Expected results:
When the "Show all input methods" is selected, without closing the drop down list, other input methods must be listed.

Additional info:

Comment 1 fujiwara 2012-03-15 07:33:16 UTC
(In reply to comment #0)
> Expected results:
> When the "Show all input methods" is selected, without closing the drop down
> list, other input methods must be listed.
> 
> Additional info:

Probably I don't think so.
Almost engines likes m17n are not needed for other locales by default.
The "Show all input methods" list is handled by the current locale.

Probably I'd like to close this at the moment.

Comment 2 Ani Peter 2012-03-15 08:50:42 UTC
Hi fujiwara,

I agree with you completely. What I meant was, when I select the Input method tab and click on Select an input method option, I get the screen as attached. Then once when I click the + sign to show all other input methods, it should list down the other iput methods without closing the dropdown list for "select an input method" option. ie, the + and - sign should work in one click without cloing the main drop down list.

Steps for easy understanding:-
1. Click on Input Method tab -> Select an input method. Here I get the first drop down menu. (Screenshor for the first drop down menu attached)
2. Then when I click on the + sign, it should open the second drop down menu (screenshot for the second drop down menu attached)for the other iput methods without closing the first drop down menu

Thank you for your time :)

Ani

Comment 3 Ani Peter 2012-03-15 08:51:22 UTC
Created attachment 570211 [details]
First drop down menu

Comment 4 Ani Peter 2012-03-15 08:52:05 UTC
Created attachment 570212 [details]
Second drop down menu

Comment 5 fujiwara 2012-03-15 09:10:12 UTC
OK, probably I understood your problem.
Unfortunately the problem would be the limitation in GtkCombobox.
Probably I think the GUI part needs to be replaced with another one to satisfy your request.

I'm thinking it would be better to replace 'Select an input method' pull-down menu with a button to invoke another window.
Probably it's almost no time for Fedora 17 and I'd like to have a look at this in Fedora 18.

Comment 6 Fedora Update System 2014-07-28 06:48:01 UTC
ibus-1.5.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-1.5.8-1.fc20

Comment 7 Fedora Update System 2014-07-29 02:09:56 UTC
Package ibus-1.5.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.5.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8949/ibus-1.5.8-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-08-15 02:51:49 UTC
ibus-1.5.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.